#
# spec file for package perl-DateTime-Format-Builder
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-DateTime-Format-Builder
%define        cpan_name %( %{__sed} -e 's,perl-,,' <<< %{name} )
Summary:        Create DateTime parser classes and objects
Url:            http://search.cpan.org/perldoc?DateTime::Format::Builder
Group:          Development/Libraries/Perl
License:        Artistic License
Version:        0.80
Release:        1.pm.7.6
Source:         %{cpan_name}-%{version}.tar.bz2
BuildRequires:  perl-macros
BuildRequires:  perl(DateTime)
BuildRequires:  perl(DateTime::Format::Strptime)
BuildRequires:  perl(Class::Factory::Util)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Memory::Cycle)
Requires:       perl(DateTime)
Requires:       perl(DateTime::Format::Strptime)
Requires:       perl(Class::Factory::Util)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
DateTime::Format::Builder creates DateTime parsers. Many string formats of
dates and times are simple and just require a basic regular expression to
extract the relevant information. Builder provides a simple way to do this
without writing reams of structural code.

Builder provides a number of methods, most of which you'll never need, or at
least rarely need. They're provided more for exposing of the module's innards
to any subclasses, or for when you need to do something slightly beyond what I
expected.

Author:
-------
    Iain Truskett <spoon@cpan.org>,
    Dave Rolsky <autarch@urth.org>


%prep
%setup -n %{cpan_name}-%{version}

%build
perl Makefile.PL 
make %{?jobs:-j%jobs}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
rm -rf %{buildroot}

%files -f %{name}.files 
%defattr(-, root, root)
%doc Changes README MANIFEST

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun May  9 2010 lars@linux-schulserver.de
- initial version 0.80
